# Uses of Enum Class
org.apache.sysds.common.Types.OpOpData

Packages that use Types.OpOpData
Package
Description
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.hops.rewrite
org.apache.sysds.lops

## Uses of Types.OpOpData in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.OpOpData
Modifier and Type
Method
Description
`static Types.OpOpData`
Types.OpOpData.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOpData[]`
Types.OpOpData.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.OpOpData in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.OpOpData
Modifier and Type
Method
Description
`Types.OpOpData`
DataOp.`getOp()`
Methods in org.apache.sysds.hops with parameters of type Types.OpOpData
Modifier and Type
Method
Description
`void`
DataOp.`setDataOpType(Types.OpOpData type)`
Constructors in org.apache.sysds.hops with parameters of type Types.OpOpData
Modifier
Constructor
Description
``
`DataOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOpData dop, String fname, long dim1, long dim2, long nnz, int blen)`
READ operation for Matrix w/ dim1, dim2.
``
`DataOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOpData dop, String fname, long dim1, long dim2, long nnz, MatrixObject.UpdateType update, int blen)`
``
`DataOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOpData dop, HashMap<String,Hop> params)`
READ operation for Matrix / SQL operation for tensor This constructor supports expressions in parameters
``
`DataOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOpData dop, Hop in, HashMap<String,Hop> inputParameters)`
WRITE operation for Matrix This constructor supports expression in parameters
``
`DataOp(String l, Types.DataType dt, Types.ValueType vt, Hop in, Types.OpOpData dop, String fname)`

## Uses of Types.OpOpData in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type Types.OpOpData
Modifier and Type
Method
Description
`static DataOp`
HopRewriteUtils.`createDataOp(String name, Hop in, Types.OpOpData type)`
`static boolean`
HopRewriteUtils.`isData(Hop hop, Types.OpOpData type)`
`static boolean`
HopRewriteUtils.`isData(Hop hop, Types.OpOpData... types)`
`static boolean`
HopRewriteUtils.`isData(Hop hop, Types.OpOpData type, Types.DataType dt)`

## Uses of Types.OpOpData in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Types.OpOpData
Modifier and Type
Method
Description
`Types.OpOpData`
Data.`getOperationType()`
method to get operation type, i.e.
Constructors in org.apache.sysds.lops with parameters of type Types.OpOpData
Modifier
Constructor
Description
``
`Data(Types.OpOpData op, Lop input, HashMap<String,Lop> inputParametersLops, String name, String literal, Types.DataType dt, Types.ValueType vt, Types.FileFormat fmt)`
Constructor to setup read or write LOP In case of write: `input` must be provided.